Version haut débit de: Forum du site Lebrikabrak
Aide - Rechercher - Membres

pb admin_redacteurs sur dernière version guppy

mho (09 Aout 2018, 17:31)
Bonjour et merci bcp pour tout le travail partagé.
Adepte de l'admin_redacteurs depuis longtemps, je refais un site de fond en comble sous la dernière version de guppy ; j'ai insérer la dernière version admin-redac et voici ce qui s'affiche :

Fatal error: Uncaught exception 'Exception' with message 'Session must to be active' in /var/www/sdb/a/a/ardalh64/plugins/adm_redacteurs/helpers/security_helper.php:43 Stack trace: #0 /var/www/sdb/a/a/ardalh64/plugins/adm_redacteurs/helpers/manage_records_helper.php(320): Security_helper::create_token('manage_records') #1 /var/www/sdb/a/a/ardalh64/plugins/adm_redacteurs/helpers/manage_writers_helper.php(471): Manage_records_helper->_build_view(Array) #2 /var/www/sdb/a/a/ardalh64/plugins/adm_redacteurs/helpers/manage_records_helper.php(131): Manage_writers_helper->_build_view(Array) #3 /var/www/sdb/a/a/ardalh64/plugins/adm_redacteurs/helpers/manage_writers_helper.php(117): Manage_records_helper->manage() #4 /var/www/sdb/a/a/ardalh64/plugins/adm_redacteurs/controllers/admin/admin_manage_writers_controller.php(59): Manage_writers_helper->manage() #5 /var/www/sdb/a/a/ardalh64/plugins/adm_redacteurs/controllers/admin/admin_manage_writers_controller.php(46): Admin_manage_writers_controller->manage() #6 [internal function]: Admi in /var/www/sdb/a/a/ardalh64/plugins/adm_redacteurs/helpers/security_helper.php on line 43


???? que faire ? merci !
mh

jchouix (10 Aout 2018, 10:19)
Bonjour mho,
le message d'erreur indique que la session n'est pas active ce qui devrait être le cas normalement. Je vais refaire un test avec la dernière version de guppy pour voir s'il y a eu encore des changements de ce coté là.
Je te tiens au courant.
Cordialement..
jchouix (10 Aout 2018, 22:12)
Bonsoir mho,
tu as en effet soulevé un problème qui est apparu avec la version de guppy 50206. Pour corriger ce couic, je te propose de télécharger et d'installer le fichier joint ci-dessous.
Une fois le patch correctif installé, reviens me dire si tout est ok de ton coté.
Cordialement.
Fichier joint
Télécharger
Fichier téléchargé 288 fois (nom du fichier: patch_correctif_plugin_adm_redacteurs_6.12_pour_guppy50206.zip ; taille: 1.822 KO, date d'upload: 10 Aout 2018, 22:12)
patch correctif pour adm_redacteurs v6.12 concernant un problème de session avec guppy 5.02.06
han (15 Aout 2018, 21:00)
Bonsoir Jchouix,
Après avoir installé la version 6.12 du plugin, j'ai également rencontré le problème soulevé par mho.
Ton patch correctif a tout remis en ordre.
Merci.
JPB (24 Septembre 2018, 15:47)
Bonjour Jchouix,

J'ai eu le même problème que dans le message 1
J'ai appliqué le patch correctif pour adm_redacteurs v6.12 concernant un problème de session avec guppy 5.02.06
Tout est rentré dans l'ordre en étant connecté en tant qu'admin, mais pour un rédacteur landa, impossible de se connecter.
Le message étant le suivant : "la connexion a échouée car les identifiants ne sont pas corrects"
Peux-tu m'aider ?
Cordialement et merci
jchouix (24 Septembre 2018, 19:18)
Bonsoir JPB,
le patch ne concerne que l'accès en admin et n'a aucune incidence sur la connexion en tant que rédacteur donc je suis étonné. Es tu sûr d'avoir installé la mise à jour du plugin adm_redacteur en version 6.12 car ce problème était bien présent dans la version précédente du plugin mais il avait été résolu dans la version 6.12 du plugin.
Cordialement.
JPB (26 Septembre 2018, 13:39)
Bonjour jchouix

Après avoir galéré avec UwAmp en local pour avoir accès à localhost, j'ai reinstallé adm_redacteurs V 6.12 et appliqué son patch de mise à jour et ce plusieurs fois.
Ces nombreuses reinstallations par dessus l'ancienne aboutissaient toujours au même problème.

Finalement, j'ai effacé tout ce qui concernait adm_redacteurs et je l'ai reinstallé.
Tout est rentré dans l'ordre et fonctionne à nouveau en local.

J'étais pourtant bien en v 6.12 et avais appliqué le patch de mise à jour.
Le problème est apparu au moment de la mise à jour de Guppy v50206.

J'attends encore un peu pour mettre la maj de guppy en ligne.
J'ai quand même régulièrement des soucis dès qu'il y a une maj du CMS et c'est toujours avec appréhension que je la fait !

Cordialement et merci pour tout.